<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-08-24T00:14:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Randy Chu</User>
    <Comment>Verified on datapro 4.0.1153 with TSR AIR K0E6.
The message does not show after fix. </Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2024-05-21T21:02:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2024-05-21T18:23:24Z</TimeStamp>
    <ReleaseNote>Addresses an issue with channel counts warning in download</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-21T18:23:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-21T17:58:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-21T17:58:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Randy Chu</User>
    <Comment>Verified on data pro 4.0.1153
with s6air.
The message does not show after fix.

Going to verify with TSR AIR</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-05-21T01:04:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-15T18:00:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>fixed in 4.0@50719 - apparently this fix was already in 4.2 and 4.3 and didn't get backported when the warning was backported.
 
The attached test setup can be used to duplicate the issue, but you can probably also duplicate the issue by havign two ROI periods in your test setup in Edit Test setup and having not all the sensors in the second roi.  In download roi when it's downloading the second ROI it should send the warning pre-patch.  After the patch it doesn't.
 
With a TSR AIR it's a little bit more complicated as it has channels which always download and aren't listed in the test setup setup, so with a TSR AIR you need only 1 channel in the second roi to offset the other channels that it always downloads but doesn't count in the test setup.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2024-05-15T18:00:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-05-15T15:47:10Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-05-14T23:55:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>demonstrated when downloading using this test setup:
 
for the second ROI (which has only 1 channel) the message is incorrect;</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2024-05-14T23:55:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>